text.skipToContent text.skipToNavigation
Home Support Wearables Moverio Epson Moverio BT-300

Can I use the DJI GO 4 app with my product?

    Yes, but the product requires the latest firmware (version R1.1.0 or higher).

    Note: Make sure you download the app from the Moverio Apps Market.

Published:  Feb 22, 2017 Was this helpful​? Thank you for the feedback!
Please tell us why this was not helpful.​
Please enter a valid email address